package jp.ac.takushoku_u.cs;

/**
* Edgeクラスはグラフの枝を保持するクラスです。<BR>
* @version 1.0
* @author 笠島 裕史(Kasajima Hiroshi)
*/
/*
* 最終更新日 2004年11月16日
*/
public class Edge{
	
/**
* 枝の始点の要素番号
*/
	private int start;
	
/**
* 枝の終点の要素番号
*/
	private int goal;
	
/**
* 初期要素番号
*/
	private static final int INITIALIZE_ELEMENT = 1;
	
/**
* 枝を設定します。
*/
	public Edge(){
		setBegin(INITIALIZE_ELEMENT);
		setEnd(INITIALIZE_ELEMENT);
	}
	
/**
* 枝を設定します。
* @param begin 枝の始点
* @param end 枝の終点
*/
	public Edge(int begin, int end){
		setBegin(begin);
		setEnd(end);
	}
	
/**
* 枝の始点の要素を返します。
* @return 枝の始点要素
*/
	public int getBegin(){
		return start;
	}
/**
* 枝の終点の要素を返します。
* @return 枝の終点要素
*/
	public int getEnd(){
		return goal;
	}
	
/**
* 枝の始点の設定をします。
*/
	private void setBegin(int begin){
		start = begin;
	}
/**
* 枝の終点の設定をします。
*/
	private void setEnd(int end){
		goal = end;
	}
}